<template>
    <div class="myNoPermission" v-if="show">
        <div class="myNoPermission_content">
            <i class="el-icon-info"></i>
            <span class="margin-left_10">未配置角色权限，无法访问</span>
        </div>
    </div>
</template>

<script>
export default {
  components: {},
  props: {},
  data() {
    return {
        show:false
    };
  },
  watch: {},
  computed: {},
  created() {},
  mounted() {
    var timer = setTimeout(()=>{
        this.show = false
        clearInterval(timer)
    },2000)
  },
  methods: {},

};
</script>
<style lang="scss" scoped>
.myNoPermission{
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    margin: auto;
    width: 180px;
    height: 25px;
    z-index: 9999;
    padding: 15px;
    border: none;
    box-shadow: 0.01333rem 0.01333rem 0.26667rem rgba(0,0,0,0.3);
    border-radius: 0.04rem;
    background: #fff;
    overflow: hidden;
    font-size: 0.8rem;
    i{
        color: var(--bg);
        font-size: 1rem;
    }
    .myNoPermission_content{
        line-height: 25px;
    }
}
</style>